import csv
import numpy as np
import scipy as sp
import scipy.stats
import numpy.linalg

fileReader = open("tables/loans_B_unlabeled.csv", "rt", encoding="utf8")
csvReader  = csv.DictReader(fileReader)

afLoanAmount  = list()
afPictured  = list()

for dcObservation in csvReader:
  fLoanAmount = float( dcObservation["loan_amount"] )
  
  try:
    fPictured  = float( dcObservation["pictured"] )
  except ValueError:
    fPictured  = 0
  
  afLoanAmount.append(  fLoanAmount  )
  afPictured.append(  fPictured  )

fileReader.close()

afLoanAmount  = np.array( afLoanAmount  )
afPictured  = np.array( afPictured  )

print("Mean(Loan_Amount): ", np.mean(afLoanAmount))
print("SD(Loan_Amount): ", np.std(afLoanAmount))

#np.lookfor('correlation')

print("Correlation between loan amount and being pictured: ", np.corrcoef(afLoanAmount,afPictured))
print("Alternatively: ", sp.stats.pearsonr(afLoanAmount,afPictured))

x = np.vstack([afPictured, np.ones(len(afPictured))]).T

m, c = np.linalg.lstsq(x, afLoanAmount)[0]

print("constant: ", c)
print("slope: ", m)





